## asymptote 3.01+ds

=== debian/changelog ===
asymptote (3.01+ds-1) unstable; urgency=medium

  * New upstream releaase, redo patches.
    - Exclude libgc & libtinyexr from .orig.tar.gz completely, use the
      libs from system.
    - Update / Clean of d/copyright
  * Lintian clean up.
  * Fix permissions of /usr/share/asymptote/GUI/xasy.py
    (Closes: #1095559).

 -- Hilmar Preuße <hille42@debian.org>  Sun, 02 Mar 2025 19:29:48 +0100

asymptote (2.95+ds-2) unstable; urgency=medium

  * Stop building on armel & armhf until a fixed ghostscript is
    available (see #1085120). This closes: #1091292.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 01 Mar 2025 00:01:01 +0100

=== debian/control ===
Source: asymptote
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Hilmar Preuße <hille42@debian.org>
Section: tex
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               cmake,
               pkgconf,
               libglut-dev,
               libosmesa6-dev,
               ghostscript,
               imagemagick,
               libboost-program-options-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libeigen3-dev,
               libfftw3-dev,
               libgc-dev,
               libgsl-dev,
               libncurses-dev,
               libreadline-dev,
               libsigsegv-dev,
               libtimedate-perl,
               libtinyexr-dev,
               libtirpc-dev,
               python3,
               python3-click,
               pyqt5-dev-tools,
               rapidjson-dev,
               tex-common,
               doxygen,
               graphviz,
               texinfo,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-pstricks,
               zlib1g-dev,
               libglm-dev,
               libglew-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://asymptote.sourceforge.net/
Vcs-Git: https://github.com/debian-tex/asymptote.git
Vcs-Browser: https://github.com/debian-tex/asymptote

Package: asymptote
Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 loong64 m68k powerpc ppc64 sh4 sparc64 x32
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ghostscript,
         imagemagick,
         texlive-binaries,
         texlive-latex-base,
         texlive-pstricks,
         texlive-plain-generic,
         xdg-utils
Suggests: asymptote-x11
Recommends: asymptote-doc
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-x11
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         asymptote (>= ${binary:Version}),
         librsvg2-bin,
         python3-cson,
         python3-numpy,
         python3-pyqt5,
         python3-pyqt5.qtsvg
Suggests: gv,
          evince | pdf-viewer
Breaks: asymptote (<= 2.49-2)
Replaces: asymptote (<= 2.49-2)
Description: script-based vector graphics language inspired by MetaPost - the GUI part
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.
 .
 In the event that adjustments to the final figure are required, the
 preliminary Graphical User Interface (GUI) xasy included with Asymptote allows
 you to move graphical objects and draw new ones. The modified figure can then
 be saved as a normal Asymptote file.

Package: asymptote-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: asymptote,
            info-browser | pdf-viewer | www-browser
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing.
 This package provides documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

# Avoid unneeded library dependencies reported by dpkg-shlibdeps.
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

#ifeq ($(DEB_HOST_ARCH), hurd-i386)
#  LSPSERVER=--disable-lsp
#endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-gc=system	\
		--with-latex=/usr/share/texmf/tex/latex	\
		--with-context=/usr/share/texmf/tex/context/third $(LSPSERVER)\
		$(foreach v,CFLAGS CPPFLAGS CXXFLAGS LDFLAGS,'$(v)=$($(v))')

# Avoid a warning every time asy is run if HOME is unset.
export ASYMPTOTE_HOME := $(CURDIR)/debian/tmp_asymptote_home
override_dh_auto_configure: | $(ASYMPTOTE_HOME)
$(ASYMPTOTE_HOME):
	mkdir $(ASYMPTOTE_HOME)

override_dh_auto_build:
	make -j4 asy
	make man
	make all html
	# fix location of images in info document
	sed -e 's!image src="\([^"]*\)"!image src="/usr/share/doc/asymptote/html/\1"!g' < doc/png/asymptote.info > doc/png/asymptote.info.fixed
	mv doc/png/asymptote.info.fixed doc/png/asymptote.info

override_dh_auto_install:
	make install-asy DESTDIR=$(CURDIR)/debian/tmp
	dh_installtex -pasymptote

#override_dh_auto_test:
#	: do nothing here, otherwise make tries to compile prc/test.cc

override_dh_compress:
	dh_compress -X.pdf

override_dh_fixperms:
	dh_fixperms -X usr/share/asymptote/GUI/xasy.py

override_dh_clean:
	dh_clean
	rm --force doc/*.aux doc/*.cp doc/*.cps doc/*.idx doc/*.ins doc/*.log doc/*.toc
	rm -fr $(ASYMPTOTE_HOME)

## asymptote 3.02+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

include(cmake-scripts/common.cmake)
include(asy-pkg-version-suffix.cmake OPTIONAL RESULT_VARIABLE ASY_ADDR_VERSION_SUFFIX_FILE)
include(cmake-scripts/options.cmake)
include(pkg-info.cmake)
include(cmake-scripts/vcpkg-features.cmake)

project(${ASY_PACKAGE_NAME})

include(cmake-scripts/compiler-config.cmake)
include(cmake-scripts/basic-parameters.cmake)
include(cmake-scripts/buildfiles-to-src.cmake)
include(cmake-scripts/asy-files.cmake)

# setting build files
if (WIN32)
    include(cmake-scripts/win32-specific.cmake)
endif()

build_files_to_src(CORE_BUILD_FILES CORE_SOURCE_FILES)
include(cmake-scripts/subrepo-projects.cmake)
include(cmake-scripts/external-libs.cmake)
include(cmake-scripts/thirdparty-impl.cmake)
include(cmake-scripts/backport-libs.cmake)

# PRC
add_subdirectory(prc/)
list(APPEND ASY_STATIC_LIBARIES PRC)

get_target_property(prc_incl_dir PRC INCLUDE_DIRECTORIES)
list(APPEND ASYMPTOTE_INCLUDES $<TARGET_PROPERTY:PRC,INCLUDE_DIRECTORIES>)

include(cmake-scripts/gnu-install-macros.cmake)
include(cmake-scripts/asy-macro.cmake)

include(cmake-scripts/generated-files.cmake)

# asy-reflect
if (ENABLE_CUDA_ASY_REFLECT)
    message(STATUS "asy reflect target enabled")
    add_subdirectory(cudareflect/)
endif()

# defining asy target

add_library(
        asycore STATIC
        ${CORE_SOURCE_FILES}
        ${ASY_GENERATED_BUILD_SOURCES}
)

target_include_directories(asycore PUBLIC ${ASYMPTOTE_INCLUDES})
add_dependencies(asycore asy_gen_headers)
target_link_libraries(asycore PUBLIC ${ASY_STATIC_LIBARIES})
target_compile_definitions(asycore PUBLIC ${ASY_MACROS})
target_compile_options(asycore PUBLIC ${ASY_COMPILE_OPTS})

# asy executable

add_executable(
        asy ${ASY_SRC_DIR}/main.cc ${ASY_WIN_RC_FILE}
)

target_link_libraries(asy PUBLIC asycore)

# base files
include(cmake-scripts/asy-base-files.cmake)

# asy + base files
add_custom_target(asy-basefiles DEPENDS ${ASY_OUTPUT_BASE_FILES})
add_custom_target(asy-with-basefiles ALL DEPENDS asy asy-basefiles)

# asy misc files
if (ENABLE_MISCFILES_GEN)
    include(cmake-scripts/asy-misc-files.cmake)
endif()

# documentation generation

if (ENABLE_DOCGEN)
    include(cmake-scripts/docgen.cmake)
endif()

# testing

enable_testing()
include(cmake-scripts/tests-asy.cmake)
include(cmake-scripts/tests-wce.cmake)

if (ENABLE_ASY_CXXTEST)
    add_subdirectory(cxxtests)
endif()

# installation
if (WIN32)
    # on windows, pre-NSIS
    include(cmake-scripts/win32-pre-nsis-installer.cmake)
else()
    # on unix systems
    if (NOT CTAN_BUILD)
        include(cmake-scripts/linux-install.cmake)
    endif()
endif()

=== LspCpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

if(POLICY CMP0025)
    # detect Apple's Clang
    cmake_policy(SET CMP0025 NEW)
endif()
if(POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
endif()

set(LIB_MAJOR_VERSION "1")
set(LIB_MINOR_VERSION "0")
set(LIB_PATCH_VERSION "0")
set(LIB_TWEAK_VERSION "0")
set(LIB_VERSION_STRING "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_PATCH_VERSION}.${LIB_TWEAK_VERSION}")

# Without this, paths are not relative in the sources list
cmake_policy(SET CMP0076 NEW)
project(lspcpp VERSION "${LIB_VERSION_STRING}" LANGUAGES CXX C)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
SET(GOOGLETEST_VERSION "0.00")

# compile in RelWithDebInfo  mode by default
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

set(LSPCPP_DEBUG_POSTFIX d CACHE STRING "Debug library postfix.")
# Set LSPCPP_LIB_NAME for pkg-config lspcpp.pc. We cannot use the OUTPUT_NAME target
# property because it's not set by default.
set(LSPCPP_LIB_NAME lspcpp)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(LSPCPP_LIB_NAME ${LSPCPP_LIB_NAME}${LSPCPP_DEBUG_POSTFIX})
endif ()

include(CMakeParseArguments)
# Joins arguments and places the results in ${result_var}.
function(join result_var)
    set(result "")
    foreach (arg ${ARGN})
        set(result "${result}${arg}")
    endforeach ()
    set(${result_var} "${result}" PARENT_SCOPE)
endfunction()
# Sets a cache variable with a docstring joined from multiple arguments:
#   set(<variable> <value>... CACHE <type> <docstring>...)
# This allows splitting a long docstring for readability.
function(set_verbose)
    # cmake_parse_arguments is broken in CMake 3.4 (cannot parse CACHE) so use
    # list instead.
    list(GET ARGN 0 var)
    list(REMOVE_AT ARGN 0)
    list(GET ARGN 0 val)
    list(REMOVE_AT ARGN 0)
    list(REMOVE_AT ARGN 0)
    list(GET ARGN 0 type)
    list(REMOVE_AT ARGN 0)
    join(doc ${ARGN})
    set(${var} ${val} CACHE ${type} ${doc})
endfunction()
###########################################################
# Options
###########################################################
function (option_if_not_defined name description default)
    if(NOT DEFINED ${name})
        option(${name} ${description} ${default})
    endif()
endfunction()

option_if_not_defined(USE_SYSTEM_RAPIDJSON "Use system RapidJSON instead of the git submodule if exists" OFF)
option_if_not_defined(LSPCPP_WARNINGS_AS_ERRORS "Treat warnings as errors" OFF)
option_if_not_defined(LSPCPP_BUILD_EXAMPLES "Build example applications" OFF)
option_if_not_defined(LSPCPP_BUILD_FUZZER "Build fuzzer" OFF)
option_if_not_defined(LSPCPP_BUILD_WEBSOCKETS "Build websocket server" ON)
option_if_not_defined(LSPCPP_ASAN "Build lsp with address sanitizer" OFF)
option_if_not_defined(LSPCPP_MSAN "Build lsp with memory sanitizer" OFF)
option_if_not_defined(LSPCPP_TSAN "Build lsp with thread sanitizer" OFF)
option_if_not_defined(LSPCPP_INSTALL "Create lsp install target" OFF)
option_if_not_defined(LSPCPP_SUPPORT_BOEHM_GC "\
Enable support for Boehm GC. GC must be specified LSPCPP_GC_DOWNLOADED_ROOT, if downloaded or by
find_package(BDWgc CONFIG REQUIRED) or pkg_config." OFF)
option_if_not_defined(LSPCPP_USE_CPP17 "Use C++17 for compilation. Setting this to off requires boost-optional." OFF)

set(LSPCPP_GC_DOWNLOADED_ROOT "" CACHE STRING "\
If using downloaded gc root from https://www.hboehm.info/gc/, extract its contents and set this setting to
where the tar.gz file is extracted to. This directory must be an absolute path.
If this setting is set, LspCpp will use downloaded GC regardless of whether GC from find_package or
pkg_config is available or not.
")
option_if_not_defined(LSPCPP_GC_STATIC "Compiling with static gc library. Only used if a custom GC root is given" OFF)
set(LSPCPP_WIN32_WINNT_VALUE "0x0A00" CACHE STRING
        "Value to specify for _WIN32_WINNT macro when compiling on windows. See
https://learn.microsoft.com/en-us/cpp/porting/modifying-winver-and-win32-winnt?view=msvc-170"
)

###########################################################
# Boehm GC
###########################################################

if (LSPCPP_SUPPORT_BOEHM_GC AND NOT LSPCPP_GC_DOWNLOADED_ROOT)
    message(STATUS "Attempting to find BDWgc by find_package")
    find_package(BDWgc CONFIG)
    if (NOT BDWgc_FOUND)
        set(GC_USE_PKGCONFIG 1)
        # fallback to pkg-config
        message(STATUS "CMake config for BDWgc not found; falling back to pkg-config")
        find_package(PkgConfig REQUIRED)
        pkg_check_modules(gc REQUIRED IMPORTED_TARGET bdw-gc)
    endif()
endif()

###########################################################
# Directories
###########################################################
function (set_if_not_defined name value)
    if(NOT DEFINED ${name})
        set(${name} ${value} PARENT_SCOPE)
    endif()
endfunction()

set(LSPCPP_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
set_if_not_defined(LSPCPP_THIRD_PARTY_DIR ${CMAKE_CURRENT_SOURCE_DIR}/third_party)

macro(lspcpp_set_target_options_with_nuget_pkg target id version)
    if (CMAKE_GENERATOR MATCHES "Visual Studio.*")
        if(EXISTS ${CMAKE_BINARY_DIR}/packages/${id}.${version}/build/${id}.targets)
            target_link_libraries(${target} PRIVATE ${CMAKE_BINARY_DIR}/packages/${id}.${version}/build/${id}.targets)
        elseif(EXISTS ${CMAKE_BINARY_DIR}/packages/${id}.${version}/build/native/${id}.targets)
            target_link_libraries(${target} PRIVATE ${CMAKE_BINARY_DIR}/packages/${id}.${version}/build/native/${id}.targets)
        else()
            message(FATAL_ERROR "Can't find target of ${id}.${version}")
        endif()
    else()
        message(FATAL_ERROR "NUGET package only use in Visual Studio")
    endif()

endmacro()

macro(INSTALL_NUGET id version)
    if (CMAKE_GENERATOR MATCHES "Visual Studio.*")
        unset(nuget_cmd)
        list(APPEND nuget_cmd install ${id} -Prerelease -Version ${version} -OutputDirectory ${CMAKE_BINARY_DIR}/packages)
        message("excute nuget install:${nuget_cmd}")
        execute_process(COMMAND nuget ${nuget_cmd} ENCODING AUTO)
    else()
        message(FATAL_ERROR "INSTALL_NUGET only use in Visual Studio")
    endif()

endmacro()
###########################################################
# Functions
###########################################################
function(lspcpp_set_target_options target)

    set_property(TARGET ${target} PROPERTY CXX_STANDARD_REQUIRED ON)

    # Enable C++14/17 (Required)
    if (LSPCPP_USE_CPP17)
        set_property(TARGET ${target} PROPERTY CXX_STANDARD 17)
    else()
        set_property(TARGET ${target} PROPERTY CXX_STANDARD 14)
    endif()

    set_property(TARGET ${target} PROPERTY CXX_EXTENSIONS OFF)

    if (CMAKE_GENERATOR MATCHES "Visual Studio.*")
        lspcpp_set_target_options_with_nuget_pkg(${target} boost 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_chrono-vc141 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_date_time-vc141 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_filesystem-vc141 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_program_options-vc141 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_system-vc141 1.76.0.0)
        lspcpp_set_target_options_with_nuget_pkg(${target} boost_thread-vc141 1.76.0.0)
    endif()

    # Enable all warnings
    if(MSVC)
        target_compile_options(${target} PRIVATE "-W4")
    else()
        target_compile_options(${target} PRIVATE "-Wall")
    endif()

    # Disable specific, pedantic warnings
    if(MSVC)
        target_compile_options(${target} PRIVATE
                "-D_CRT_SECURE_NO_WARNINGS"

                # Warnings from nlohmann/json headers.
                "/wd4267" # 'argument': conversion from 'size_t' to 'int', possible loss of data
                "/bigobj" # for visual studio 2022 x64 or later.
                )
    endif()

    # Add define for JSON library in use
    set_target_properties(${target} PROPERTIES
            COMPILE_DEFINITIONS "LSPCPP_JSON_${LSPCPP_JSON_LIBRARY_UPPER}=1"
            )

    # Treat all warnings as errors
    if(LSPCPP_WARNINGS_AS_ERRORS)
        if(MSVC)
            target_compile_options(${target} PRIVATE "/WX")
        else()
            target_compile_options(${target} PRIVATE "-Werror")
        endif()
    endif(LSPCPP_WARNINGS_AS_ERRORS)

    if(LSPCPP_ASAN)
        target_compile_options(${target} PUBLIC "-fsanitize=address")
        target_link_libraries(${target} PUBLIC "-fsanitize=address")
    elseif(LSPCPP_MSAN)
        target_compile_options(${target} PUBLIC "-fsanitize=memory")
        target_link_libraries(${target} PUBLIC "-fsanitize=memory")
    elseif(LSPCPP_TSAN)
        target_compile_options(${target} PUBLIC "-fsanitize=thread")
        target_link_libraries(${target} PUBLIC "-fsanitize=thread")
    endif()

    # Error on undefined symbols
    # if(NOT MSVC)
    #     target_compile_options(${target} PRIVATE "-Wl,--no-undefined")
    # endif()

    if (LSPCPP_SUPPORT_BOEHM_GC)
        if (LSPCPP_GC_DOWNLOADED_ROOT)
            message(STATUS "Using manually downloaded GC")
            target_include_directories(${target} PUBLIC ${LSPCPP_GC_DOWNLOADED_ROOT}/include)

            if (LSPCPP_GC_STATIC)
                target_compile_definitions(${target} PUBLIC GC_NOT_DLL)
            endif()
        else()
            if (NOT GC_USE_PKGCONFIG)
                message(STATUS "Using cmake config for locating gc")
                target_link_libraries(${target} PUBLIC BDWgc::gc)
                get_target_property(GC_INCLUDE_DIRS_BASE BDWgc::gc INTERFACE_INCLUDE_DIRECTORIES)
            else()
                message(STATUS "Using pkg-config for locating gc")
                target_link_libraries(${target} PUBLIC PkgConfig::gc)
                get_target_property(GC_INCLUDE_DIRS_BASE PkgConfig::gc INTERFACE_INCLUDE_DIRECTORIES)
            endif()

            if (NOT GC_INCLUDE_DIRS_BASE STREQUAL "GC_INCLUDE_DIRS_BASE-NOTFOUND")
                list(TRANSFORM GC_INCLUDE_DIRS_BASE APPEND /gc)
                target_include_directories(${target} PUBLIC ${GC_INCLUDE_DIRS_BASE})
            else()
                message(WARNING "Cannot find GC include directories; compilation may not work")
            endif()
        endif()
        target_compile_definitions(${target} PUBLIC LSPCPP_USEGC)
    endif()

    if (WIN32)
        target_compile_definitions(${target} PRIVATE _WIN32_WINNT=${LSPCPP_WIN32_WINNT_VALUE})
    endif()
endfunction()


# Libraries

if (MSVC)
    set(Uri_USE_STATIC_CRT OFF)
endif()
set(Uri_BUILD_TESTS OFF)
add_subdirectory(third_party/uri)

###########################################################
# boost library
###########################################################
if (CMAKE_GENERATOR MATCHES "Visual Studio.*")
    INSTALL_NUGET(boost 1.76.0.0)
    INSTALL_NUGET(boost_chrono-vc141 1.76.0.0)
    INSTALL_NUGET(boost_date_time-vc141 1.76.0.0)
    INSTALL_NUGET(boost_filesystem-vc141 1.76.0.0)
    INSTALL_NUGET(boost_program_options-vc141 1.76.0.0)
    INSTALL_NUGET(boost_system-vc141 1.76.0.0)
    INSTALL_NUGET(boost_thread-vc141 1.76.0.0)
else()

    find_package(Boost CONFIG COMPONENTS date_time  chrono filesystem system thread program_options)
    if(NOT Boost_FOUND)
        if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
            message(FATAL_ERROR "Can't find boost,lease build boost and install it or install boost with : brew install boost")
        elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
            message(FATAL_ERROR "Can't find boost,please build boost and install it. or install boost with : sudo apt-get install libboost-dev")
        else()
            message(FATAL_ERROR "Boost not found. Please ensure boost is available for CMake.")
        endif()
    endif()
endif()

=== LspCpp/third_party/uri/src/CMakeLists.txt ===
# Copyright (c) Glyn Matthews 2012-2016.
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

set(Uri_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/uri.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/uri_builder.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/uri_errors.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/uri_parse.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/uri_parse_authority.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/uri_advance_parts.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/uri_normalize.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/detail/uri_resolve.cpp
  )

add_library(network-uri ${Uri_SRCS})
target_link_libraries(network-uri)
if(${CMAKE_CXX_COMPILER_ID} MATCHES Clang)
  if (NOT Uri_DISABLE_LIBCXX)
    target_link_libraries(network-uri "c++")
  endif()
endif()

#propagate sources to parent scope for one-lib-build
set(Uri_SRCS ${Uri_SRCS} PARENT_SCOPE)

install(
  TARGETS network-uri
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

=== debian/changelog ===
asymptote (3.02+ds-1) unstable; urgency=medium

  * New upstream version, refresh patches.
  * Lintian:
    E: asymptote-x11: python3-script-but-no-python3-dep python3
    Thanks to Jeremy Sowden <azazel@debian.org> for help.
    W: old-fsf-address-in-copyright-file

 -- Hilmar Preuße <hille42@debian.org>  Thu, 17 Apr 2025 09:07:30 +0200

asymptote (3.01+ds-3) unstable; urgency=medium

  * A fixed gs package is there, re-upload with Arch "any". Make sure
    that gs 10.04 is not used when building the package.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 18 Mar 2025 22:51:29 +0100

asymptote (3.01+ds-2) unstable; urgency=medium

  * Patch from upstream to fix FTBFS using gcc-15 (Closes: #1096338).

 -- Hilmar Preuße <hille42@debian.org>  Wed, 05 Mar 2025 19:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                pkgconf,
                libglut-dev,
                libosmesa6-dev,
-               ghostscript,
+               ghostscript (<= 10.03) | ghostscript (>= 10.05),
                imagemagick,
                libboost-program-options-dev,
                libboost-filesystem-dev,
@@ -54,7 +54,7 @@
 Vcs-Browser: https://github.com/debian-tex/asymptote
 
 Package: asymptote
-Architecture: amd64 arm64 i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 loong64 m68k powerpc ppc64 sh4 sparc64 x32
+Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=gz,dversionmangle=s/\+ds// \
http://sf.net/asymptote/asymptote-(.*)\.src\.tgz

## asymptote 3.04+ds

=== debian/changelog ===
asymptote (3.04+ds-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:30 +0200

asymptote (3.04+ds-1) unstable; urgency=medium

  * New upstream version, refresh / disable patches.
  * Refresh lintian overrides.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 28 May 2025 09:55:37 +0200

asymptote (3.03+ds-1) unstable; urgency=low

  * New upstream version, refresh patches, add DEP-3 headers to
    two patches.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 15 May 2025 10:37:13 +0200

## asymptote 3.05%2Bds

=== tests/Makefile ===
.NOTPARALLEL:

TESTDIRS = $(wildcard */)

test: $(TESTDIRS)

$(TESTDIRS)::
	@echo
	../asy -dir ../base $@*.asy

$(EXTRADIRS)::
	@echo
	../asy -dir ../base $@*.asy

clean:  FORCE
	rm -f *.eps

distclean: FORCE clean

FORCE:

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                dh-python,
                flex,
                cmake,
+               imagemagick,
+               dvisvgm,
                pkgconf,
+               ghostscript (<= 10.03) | ghostscript (>= 10.05),
                libglut-dev,
-               libosmesa6-dev,
-               ghostscript (<= 10.03) | ghostscript (>= 10.05),
-               imagemagick,
                libboost-program-options-dev,
                libboost-filesystem-dev,
                libboost-thread-dev,
@@ -25,6 +25,8 @@
                libfftw3-dev,
                libgc-dev,
                libgsl-dev,
+               libglew-dev,
+               libglm-dev,
                libncurses-dev,
                libreadline-dev,
                libsigsegv-dev,
@@ -44,10 +46,8 @@
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-pstricks,
-               zlib1g-dev,
-               libglm-dev,
-               libglew-dev
-Standards-Version: 4.7.0
+               zlib1g-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://asymptote.sourceforge.net/
 Vcs-Git: https://github.com/debian-tex/asymptote.git
